closest_point.hpp File Reference

GLM_GTX_closest_point More...

Go to the source code of this file.

## Functions

template<typename T , qualifier Q>
GLM_FUNC_DECL vec< 3, T, Q > | closestPointOnLine (vec< 3, T, Q > const &point, vec< 3, T, Q > const &a, vec< 3, T, Q > const &b)
| Find the point on a straight line which is the closet of a point. More...
template<typename T , qualifier Q>
GLM_FUNC_DECL vec< 2, T, Q > | closestPointOnLine (vec< 2, T, Q > const &point, vec< 2, T, Q > const &a, vec< 2, T, Q > const &b)
| 2d lines work as well

## Detailed Description

GLM_GTX_closest_point

See also
  Core features (dependence)

Definition in file closest_point.hpp.